diff --git a/web/pgadmin/misc/file_manager/static/js/components/ListView.jsx b/web/pgadmin/misc/file_manager/static/js/components/ListView.jsx
new file mode 100644
index 000000000..f74d3e87c
--- /dev/null
+++ b/web/pgadmin/misc/file_manager/static/js/components/ListView.jsx
@@ -0,0 +1,233 @@
+import { Box, makeStyles } from '@material-ui/core';
+import React, { useContext, useRef, useEffect } from 'react';
+import { Row } from 'react-data-grid';
+import PgReactDataGrid from '../../../../../static/js/components/PgReactDataGrid';
+import FolderIcon from '@material-ui/icons/Folder';
+import StorageRoundedIcon from '@material-ui/icons/StorageRounded';
+import DescriptionIcon from '@material-ui/icons/Description';
+import LockRoundedIcon from '@material-ui/icons/LockRounded';
+import KeyboardArrowUpIcon from '@material-ui/icons/KeyboardArrowUp';
+import KeyboardArrowDownIcon from '@material-ui/icons/KeyboardArrowDown';
+import PropTypes from 'prop-types';
+
+const useStyles = makeStyles((theme)=>({
+  grid: {
+    fontSize: '13px',
+    '& .rdg-header-row': {
+      '& .rdg-cell': {
+        padding: '0px 4px',
+      }
+    },
+    '& .rdg-cell': {
+      padding: '0px 4px',
+      '&[aria-colindex="1"]': {
+        padding: '0px 4px',
+        '&.rdg-editor-container': {
+          padding: '0px',
+        },
+      }
+    }
+  },
+  input: {
+    appearance: 'none',
+    width: '100%',
+    height: '100%',
+    verticalAlign: 'top',
+    outline: 'none',
+    backgroundColor: theme.palette.background.default,
+    color: theme.palette.text.primary,
+    border: 0,
+    boxShadow: 'inset 0 0 0 1.5px '+theme.palette.primary.main,
+    padding: '0 2px',
+    '::selection': {
+      background: theme.palette.primary.light,
+    }
+  },
+  protected: {
+    height: '0.75rem',
+    width: '0.75rem',
+    position: 'absolute',
+    left: '14px',
+    top: '5px',
+    color: theme.palette.error.main,
+    backgroundColor: 'inherit',
+  }
+}));
+
+export const GridContextUtils = React.createContext();
+
+export function FileNameEditor({row, column, onRowChange, onClose}) {
+  const classes = useStyles();
+  const value = row[column.key] ?? '';
+  const [localVal, setLocalVal] = React.useState(value);
+  const localValRef = useRef(localVal);
+
+  localValRef.current = localVal;
+  useEffect(()=>{
+    return ()=>{
+      /* When unmounted, trigger onRowChange */
+      onRowChange({ ...row, [column.key]: localValRef.current?.trim()}, true);
+    };
+  }, []);
+
+  const onKeyDown = (e)=>{
+    if(e.code === 'Tab' || e.code === 'Enter') {
+      e.preventDefault();
+      onClose();
+    }
+  };
+  return (
+    <input
+      className={classes.input}
+      value={localVal}
+      onChange={(e)=>{
+        setLocalVal(e.target.value);
+      }}
+      onKeyDown={onKeyDown}
+      autoFocus
+    />
+  );
+}
+
+FileNameEditor.propTypes = {
+  row: PropTypes.object,
+  column: PropTypes.object,
+  onRowChange: PropTypes.func,
+  onClose: PropTypes.func,
+};
+
+function CutomSortIcon({sortDirection}) {
+  if(sortDirection == 'DESC') {
+    return <KeyboardArrowDownIcon style={{fontSize: '1.2rem'}} />;
+  } else if(sortDirection == 'ASC') {
+    return <KeyboardArrowUpIcon style={{fontSize: '1.2rem'}} />;
+  }
+  return <></>;
+}
+CutomSortIcon.propTypes = {
+  sortDirection: PropTypes.string,
+};
+
+export function CustomRow({inTest=false, ...props}) {
+  const gridUtils = useContext(GridContextUtils);
+  const handleKeyDown = (e)=>{
+    if(e.code == 'Tab' || e.code == 'ArrowRight' || e.code == 'ArrowLeft') {
+      e.stopPropagation();
+    }
+    if(e.code == 'Enter') {
+      gridUtils.onItemEnter(props.row);
+    }
+  };
+  const isRowSelected = props.selectedCellIdx >= 0;
+  useEffect(()=>{
+    if(isRowSelected) {
+      gridUtils.onItemSelect(props.rowIdx);
+    }
+  }, [props.selectedCellIdx]);
+  if(inTest) {
+    return <div data-test='test-div' tabIndex={0}  onKeyDown={handleKeyDown}></div>;
+  }
+  return (
+    <Row {...props} onKeyDown={handleKeyDown} onRowDoubleClick={(row)=>gridUtils.onItemEnter(row)}
+      selectCell={(row, column)=>props.selectCell(row, column)} aria-selected={isRowSelected}/>
+  );
+}
+CustomRow.propTypes = {
+  inTest: PropTypes.bool,
+  row: PropTypes.object,
+  selectedCellIdx: PropTypes.number,
+  rowIdx: PropTypes.number,
+  selectCell: PropTypes.func,
+};
+
+function FileNameFormatter({row}) {
+  const classes = useStyles();
+  let icon = <DescriptionIcon style={{fontSize: '1.2rem'}} />;
+  if(row.file_type == 'dir') {
+    icon = <FolderIcon style={{fontSize: '1.2rem'}} />;
+  } else if(row.file_type == 'drive') {
+    icon = <StorageRoundedIcon style={{fontSize: '1.2rem'}} />;
+  }
+  return <>
+    {icon}
+    {Boolean(row.Protected) && <LockRoundedIcon className={classes.protected}/>}
+    <span style={{marginLeft: '4px'}}>{row['Filename']}</span>
+  </>;
+}
+FileNameFormatter.propTypes = {
+  row: PropTypes.object,
+};
+
+const columns = [
+  {
+    key: 'Filename',
+    name: 'Name',
+    formatter: FileNameFormatter,
+    editor: FileNameEditor,
+    editorOptions: {
+      editOnClick: false,
+      onCellKeyDown: (e)=>e.preventDefault(),
+    }
+  },{
+    key: 'Properties.DateModified',
+    name: 'Date Modified',
+    formatter: ({row})=><>{row.Properties?.['Date Modified']}</>
+  },{
+    key: 'Properties.Size',
+    name: 'Size',
+    formatter: ({row})=><>{row.file_type != 'dir' && row.Properties?.['Size']}</>
+  }
+];
+
+
+export default function ListView({items, operation, onItemSelect, onItemEnter, ...props}) {
+  const classes = useStyles();
+  const gridRef = useRef();
+
+  useEffect(()=>{
+    if(operation.type) {
+      operation.type == 'add' && gridRef.current.scrollToRow(operation.idx);
+      gridRef.current.selectCell({idx: 0, rowIdx: operation.idx}, true);
+    }
+  }, [operation]);
+
+  useEffect(()=>{
+    gridRef.current.selectCell({idx: 0, rowIdx: 0});
+  }, [gridRef.current?.element]);
+
+  return (
+    <GridContextUtils.Provider value={{onItemEnter: onItemEnter, onItemSelect: onItemSelect}}>
+      <PgReactDataGrid
+        gridRef={gridRef}
+        id="files"
+        className={classes.grid}
+        hasSelectColumn={false}
+        columns={columns}
+        rows={items}
+        defaultColumnOptions={{
+          sortable: true,
+          resizable: true
+        }}
+        headerRowHeight={28}
+        rowHeight={28}
+        mincolumnWidthBy={25}
+        enableCellSelect={false}
+        components={{
+          sortIcon: CutomSortIcon,
+          rowRenderer: CustomRow,
+          noRowsFallback: <Box textAlign="center" gridColumn="1/-1" p={1}>No files/folders found</Box>,
+        }}
+        onRowsChange={(rows)=>{
+          operation?.onComplete?.(rows[operation.idx], operation.idx);
+        }}
+        {...props}
+      />
+    </GridContextUtils.Provider>
+  );
+}
+ListView.propTypes = {
+  items: PropTypes.arrayOf(PropTypes.object),
+  operation: PropTypes.object,
+  onItemSelect: PropTypes.func,
+  onItemEnter: PropTypes.func,
+};
diff --git a/web/pgadmin/misc/file_manager/static/js/components/Uploader.jsx b/web/pgadmin/misc/file_manager/static/js/components/Uploader.jsx
new file mode 100644
index 000000000..50f659e87
--- /dev/null
+++ b/web/pgadmin/misc/file_manager/static/js/components/Uploader.jsx
@@ -0,0 +1,210 @@
+import React, { useCallback, useReducer, useEffect, useMemo } from 'react';
+import { Box, List, ListItem, makeStyles } from '@material-ui/core';
+import CloseIcon from '@material-ui/icons/CloseRounded';
+import { PgIconButton } from '../../../../../static/js/components/Buttons';
+import gettext from 'sources/gettext';
+import {useDropzone} from 'react-dropzone';
+import { FormFooterMessage, MESSAGE_TYPE } from '../../../../../static/js/components/FormComponents';
+import DeleteIcon from '@material-ui/icons/Delete';
+import convert from 'convert-units';
+import _ from 'lodash';
+import PropTypes from 'prop-types';
+
+const useStyles = makeStyles((theme)=>({
+  root: {
+    position: 'absolute',
+    top: 0,
+    bottom: 0,
+    left: 0,
+    right: 0,
+    zIndex: 1,
+    backgroundColor: theme.palette.background.default,
+    display: 'flex',
+    flexDirection: 'column',
+    padding: '4px',
+  },
+  uploadArea: {
+    border: `1px dashed ${theme.palette.grey[600]}`,
+    display: 'flex',
+    alignItems: 'center',
+    justifyContent: 'center',
+    flexGrow: 1,
+    flexDirection: 'column',
+    cursor: 'move',
+    textAlign: 'center',
+    padding: '4px',
+  },
+  uploadFilesRoot: {
+    width: '350px',
+    border: `1px dashed ${theme.palette.grey[600]}`,
+    borderLeft: 'none',
+    overflowX: 'hidden',
+    overflowY: 'auto'
+  },
+  uploadProgress: {
+    position: 'unset',
+    padding: 0,
+  },
+  uploadPending: {
+
+  }
+}));
+
+export function filesReducer(state, action) {
+  let newState = [...state];
+  switch (action.type) {
+  case 'add':
+    newState.unshift(...action.files.map((file)=>({
+      id: _.uniqueId('f'),
+      file: file,
+      progress: 0,
+      started: false,
+      failed: false,
+      done: false,
+      deleting: false,
+    })));
+    break;
+  case 'started':
+    _.find(newState, (f)=>f.id==action.id).started = true;
+    break;
+  case 'progress':
+    _.find(newState, (f)=>f.id==action.id).progress = action.value;
+    break;
+  case 'failed':
+    _.find(newState, (f)=>f.id==action.id).failed = true;
+    break;
+  case 'done':
+    _.find(newState, (f)=>f.id==action.id).done = true;
+    break;
+  case 'deleting':
+    _.find(newState, (f)=>f.id==action.id).deleting = true;
+    break;
+  case 'delete':
+    newState = newState.filter((f)=>f.id!=action.id) || [];
+    break;
+  default:
+    break;
+  }
+  return newState;
+}
+
+export function getFileSize(bytes) {
+  let conVal = convert(bytes).from('B').toBest();
+  conVal.val = Math.round(conVal.val * 100) / 100;
+  return `${conVal.val} ${conVal.unit}`;
+}
+
+export function UploadedFile({upfile, deleteFile}) {
+  let type = MESSAGE_TYPE.INFO;
+  let message = `Uploading... ${upfile.progress?.toString() || ''}%`;
+  if(upfile.done) {
+    type = MESSAGE_TYPE.SUCCESS;
+    message = 'Uploaded!';
+  } else if(upfile.failed) {
+    type = MESSAGE_TYPE.ERROR;
+    message = 'Failed!';
+  }
+
+  return (
+    <ListItem style={{cursor: 'auto'}}>
+      <Box display="flex" alignItems="flex-start">
+        <Box overflow="hidden" style={{overflowWrap: 'break-word'}} >{upfile.file.name}</Box>
+        <Box marginLeft="auto">
+          <PgIconButton title={gettext('Delete')} icon={<DeleteIcon  />} size="xs" noBorder onClick={deleteFile} />
+        </Box>
+      </Box>
+      <span>{useMemo(()=>getFileSize(upfile.file.size), [])}</span>
+      <FormFooterMessage type={type} message={message}
+        closable={false} showIcon={false} textCenter={true} style={{position: 'unset', padding: '0px 0px 4px', fontSize: '0.9em'}} />
+    </ListItem>
+  );
+}
+UploadedFile.propTypes = {
+  upfile: PropTypes.object,
+  deleteFile: PropTypes.func,
+};
+
+
+export default function Uploader({fmUtilsObj, onClose}) {
+  const classes = useStyles();
+  const [files, dispatchFileAction] = useReducer(filesReducer, []);
+  const onDrop = useCallback(acceptedFiles => {
+    dispatchFileAction({
+      type: 'add',
+      files: acceptedFiles,
+    });
+  }, []);
+  const {getRootProps, getInputProps} = useDropzone({onDrop});
+
+  useEffect(()=>{
+    files.forEach(async (upfile)=>{
+      if(!upfile.started && !upfile.failed) {
+        try {
+          dispatchFileAction({
+            type: 'started',
+            id: upfile.id,
+          });
+          await fmUtilsObj.uploadItem(upfile.file, (progressEvent)=>{
+            const {loaded, total} = progressEvent;
+            const percent = Math.floor((loaded * 100) / total);
+            dispatchFileAction({
+              type: 'progress',
+              id: upfile.id,
+              value: percent,
+            });
+          });
+          dispatchFileAction({
+            type: 'done',
+            id: upfile.id,
+          });
+        } catch {
+          dispatchFileAction({
+            type: 'failed',
+            id: upfile.id,
+          });
+        }
+      }
+    });
+  }, [files.length]);
+
+  return (
+    <Box className={classes.root}>
+      <Box display="flex" justifyContent="flex-end">
+        <PgIconButton title={gettext('Close')} icon={<CloseIcon  />} size="xs" noBorder onClick={onClose} />
+      </Box>
+      <Box display="flex" flexGrow={1} overflow="hidden">
+        <Box className={classes.uploadArea} {...getRootProps()}>
+          <input {...getInputProps()} />
+          <Box>{gettext('Drop files here, or click to select files.')}</Box>
+          <Box>{gettext('The file size limit (per file) is 50 MB.')}</Box>
+        </Box>
+        {files.length > 0 &&
+          <Box className={classes.uploadFilesRoot}>
+            <List>
+              {files.map((upfile)=>(
+                <UploadedFile key={upfile.id} upfile={upfile} deleteFile={async ()=>{
+                  dispatchFileAction({
+                    type: 'deleting',
+                    id: upfile.id,
+                  });
+                  try {
+                    await fmUtilsObj.deleteItem({Path: fmUtilsObj.currPath}, upfile.file.name);
+                    dispatchFileAction({
+                      type: 'delete',
+                      id: upfile.id,
+                    });
+                  } catch(error) {
+                    console.error(error);
+                  }
+                }}/>
+              ))}
+            </List>
+          </Box>}
+      </Box>
+    </Box>
+  );
+}
+Uploader.propTypes = {
+  fmUtilsObj: PropTypes.object,
+  onClose: PropTypes.func,
+};
diff --git a/web/pgadmin/misc/file_manager/static/js/index.js b/web/pgadmin/misc/file_manager/static/js/index.js
new file mode 100644
index 000000000..63ddc7629
--- /dev/null
+++ b/web/pgadmin/misc/file_manager/static/js/index.js
@@ -0,0 +1,25 @@
+/////////////////////////////////////////////////////////////
+//
+// pgAdmin 4 - PostgreSQL Tools
+//
+// Copyright (C) 2013 - 2022, The pgAdmin Development Team
+// This software is released under the PostgreSQL Licence
+//
+//////////////////////////////////////////////////////////////
+import pgAdmin from 'sources/pgadmin';
+import FileManagerModule from './FileManagerModule';
+
+/* eslint-disable */
+/* This is used to change publicPath of webpack at runtime for loading chunks */
+/* Do not add let, var, const to this variable */
+__webpack_public_path__ = window.resourceBasePath;
+/* eslint-enable */
+
+if(!pgAdmin.Tools) {
+  pgAdmin.Tools = {};
+}
+pgAdmin.Tools.FileManager = FileManagerModule.getInstance(pgAdmin);
+
+module.exports = {
+  FileManager: pgAdmin.Tools.FileManager,
+};
diff --git a/web/pgadmin/settings/__init__.py b/web/pgadmin/settings/__init__.py
index 178c546a8..688d442a1 100644
--- a/web/pgadmin/settings/__init__.py
+++ b/web/pgadmin/settings/__init__.py
@@ -23,6 +23,7 @@ from pgadmin.utils.menu import MenuItem
 
 from pgadmin.model import db, Setting
 from pgadmin.utils.constants import MIMETYPE_APP_JS
+from .utils import get_dialog_type, get_file_type_setting
 
 MODULE_NAME = 'settings'
 
@@ -223,38 +224,20 @@ def get_browser_tree_state():
                     mimetype="application/json")
 
 
-def _get_dialog_type(file_type):
-    """
-    This function return dialog type
-    :param file_type:
-    :return: dialog type.
-    """
-    if 'pgerd' in file_type:
-        return 'erd_file_type'
-    elif 'backup' in file_type:
-        return 'backup_file_type'
-    elif 'csv' in file_type and 'txt' in file_type:
-        return 'import_export_file_type'
-    elif 'csv' in file_type and 'txt' not in file_type:
-        return 'storage_manager_file_type'
-    else:
-        return 'sqleditor_file_format'
-
-
 @blueprint.route("/save_file_format_setting/",
                  endpoint="save_file_format_setting",
                  methods=['POST'])
 @login_required
 def save_file_format_setting():
     """
-    This function save the selected file format.
+    This function save the selected file format.save_file_format_setting
     :return: save file format response
     """
     data = request.form if request.form else json.loads(
         request.data.decode('utf-8'))
-    file_type = _get_dialog_type(data['allowed_file_types'])
+    file_type = get_dialog_type(data['allowed_file_types'])
 
-    store_setting(file_type, data['selectedFormat'])
+    store_setting(file_type, data['last_selected_format'])
     return make_json_response(success=True,
                               info=data,
                               result=request.form)
@@ -276,11 +259,5 @@ def get_file_format_setting():
         except (ValueError, TypeError, KeyError):
             data[k] = v
 
-    file_type = _get_dialog_type(list(data.values()))
-
-    data = Setting.query.filter_by(
-        user_id=current_user.id, setting=file_type).first()
-    if data is None:
-        return make_json_response(success=True, info='*')
-    else:
-        return make_json_response(success=True, info=data.value)
+    return make_json_response(success=True,
+                              info=get_file_type_setting(list(data.values())))
diff --git a/web/pgadmin/settings/utils.py b/web/pgadmin/settings/utils.py
new file mode 100644
index 000000000..69d8e9792
--- /dev/null
+++ b/web/pgadmin/settings/utils.py
@@ -0,0 +1,36 @@
+from flask_login import current_user
+from pgadmin.model import Setting
+
+
+def get_dialog_type(file_type):
+    """
+    This function return dialog type
+    :param file_type:
+    :return: dialog type.
+    """
+    if 'pgerd' in file_type:
+        return 'erd_file_type'
+    elif 'backup' in file_type:
+        return 'backup_file_type'
+    elif 'csv' in file_type and 'txt' in file_type:
+        return 'import_export_file_type'
+    elif 'csv' in file_type and 'txt' not in file_type:
+        return 'storage_manager_file_type'
+    else:
+        return 'sqleditor_file_format'
+
+
+def get_file_type_setting(file_types):
+    """
+    This function return last file format setting based on file types
+    :param file_types:
+    :return: file format setting.
+    """
+    file_type = get_dialog_type(list(file_types))
+
+    data = Setting.query.filter_by(
+        user_id=current_user.id, setting=file_type).first()
+    if data is None:
+        return '*'
+    else:
+        return data.value
diff --git a/web/pgadmin/static/js/SchemaView/DataGridView.jsx b/web/pgadmin/static/js/SchemaView/DataGridView.jsx
index 914ac5dd3..9d06a5430 100644
--- a/web/pgadmin/static/js/SchemaView/DataGridView.jsx
+++ b/web/pgadmin/static/js/SchemaView/DataGridView.jsx
@@ -25,11 +25,11 @@ import _ from 'lodash';
 import gettext from 'sources/gettext';
 import { SCHEMA_STATE_ACTIONS, StateUtilsContext } from '.';
 import FormView, { getFieldMetaData } from './FormView';
-import { confirmDeleteRow } from '../helpers/legacyConnector';
 import CustomPropTypes from 'sources/custom_prop_types';
 import { evalFunc } from 'sources/utils';
 import { DepListenerContext } from './DepListener';
 import { useIsMounted } from '../custom_hooks';
+import Notify from '../helpers/Notifier';
 
 const useStyles = makeStyles((theme)=>({
   grid: {
@@ -303,15 +303,21 @@ export default function DataGridView({
             return (
               <PgIconButton data-test="delete-row" title={gettext('Delete row')} icon={<DeleteRoundedIcon fontSize="small" />}
                 onClick={()=>{
-                  confirmDeleteRow(()=>{
-                    /* Get the changes on dependent fields as well */
-                    dataDispatch({
-                      type: SCHEMA_STATE_ACTIONS.DELETE_ROW,
-                      path: accessPath,
-                      value: row.index,
-                    });
-
-                  }, ()=>{/*This is intentional (SonarQube)*/}, props.customDeleteTitle, props.customDeleteMsg);
+                  Notify.confirm(
+                    props.customDeleteTitle || gettext('Delete Row'),
+                    props.customDeleteMsg || gettext('Are you sure you wish to delete this row?'),
+                    function() {
+                      dataDispatch({
+                        type: SCHEMA_STATE_ACTIONS.DELETE_ROW,
+                        path: accessPath,
+                        value: row.index,
+                      });
+                      return true;
+                    },
+                    function() {
+                      return true;
+                    }
+                  );
                 }} className={classes.gridRowButton} disabled={!canDeleteRow} />
             );
           }
diff --git a/web/pgadmin/static/js/Theme/index.jsx b/web/pgadmin/static/js/Theme/index.jsx
index 1f6be3d4c..4b966f881 100644
--- a/web/pgadmin/static/js/Theme/index.jsx
+++ b/web/pgadmin/static/js/Theme/index.jsx
@@ -125,6 +125,9 @@ basicSettings = createMuiTheme(basicSettings, {
       },
       adornedEnd: {
         paddingRight: basicSettings.spacing(0.75),
+      },
+      marginDense: {
+        height: '28px',
       }
     },
     MuiAccordion: {
diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index 0f0a8ab4d..3368111cf 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -2835,106 +2835,6 @@ define([
     ].join('\n')),
   });
 
-  /*
-   * Input File Control: This control is used with Storage Manager Dialog,
-   * It allows user to perform following operations:
-   * - Select File
-   * - Select Folder
-   * - Create File
-   * - Opening Storage Manager Dialog itself.
-   */
-  Backform.FileControl = Backform.InputControl.extend({
-    defaults: {
-      type: 'text',
-      label: '',
-      min: undefined,
-      max: undefined,
-      maxlength: 255,
-      extraClasses: [],
-      dialog_title: '',
-      btn_primary: '',
-      helpMessage: null,
-      dialog_type: 'select_file',
-    },
-    initialize: function() {
-      Backform.InputControl.prototype.initialize.apply(this, arguments);
-    },
-    template: _.template([
-      '<label class="<%=Backform.controlLabelClassName%>" for="<%=cId%>"><%=label%></label>',
-      '<div class="<%=Backform.controlsClassName%>">',
-      '<div class="input-group">',
-      '<input type="<%=type%>" id="<%=cId%>" class="form-control <%=extraClasses.join(\' \')%>" name="<%=name%>" min="<%=min%>" max="<%=max%>"maxlength="<%=maxlength%>" value="<%-value%>" placeholder="<%-placeholder%>" <%=disabled ? "disabled" : ""%> <%=readonly ? "readonly aria-readonly=true" : ""%> <%=required ? "required" : ""%> />',
-      '<div class="input-group-append">',
-      '<button class="btn btn-primary-icon fa fa-ellipsis-h select_item" <%=disabled ? "disabled" : ""%> <%=readonly ? "disabled" : ""%> aria-hidden="true" aria-label="' + gettext('Select file') + '" title="' + gettext('Select file') + '"></button>',
-      '</div>',
-      '</div>',
-      '<% if (helpMessage && helpMessage.length) { %>',
-      '<span class="<%=Backform.helpMessageClassName%>"><%=helpMessage%></span>',
-      '<% } %>',
-      '</div>',
-    ].join('\n')),
-    events: function() {
-      // Inherit all default events of InputControl
-      return _.extend({}, Backform.InputControl.prototype.events, {
-        'click .select_item': 'onSelect',
-      });
-    },
-    onSelect: function() {
-      var dialog_type = this.field.get('dialog_type'),
-        supp_types = this.field.get('supp_types'),
-        btn_primary = this.field.get('btn_primary'),
-        dialog_title = this.field.get('dialog_title'),
-        params = {
-          supported_types: supp_types,
-          dialog_type: dialog_type,
-          dialog_title: dialog_title,
-          btn_primary: btn_primary,
-        };
-
-      pgAdmin.FileManager.init();
-      pgAdmin.FileManager.show_dialog(params);
-      // Listen click events of Storage Manager dialog buttons
-      this.listen_file_dlg_events();
-    },
-    storage_dlg_hander: function(value) {
-      var attrArr = this.field.get('name').split('.'),
-        name = attrArr.shift();
-
-      this.remove_file_dlg_event_listeners();
-
-      // Set selected value into the model
-      this.model.set(name, decodeURI(value));
-      this.$el.find('input[type=text]').focus();
-    },
-    storage_close_dlg_hander: function() {
-      this.remove_file_dlg_event_listeners();
-    },
-    listen_file_dlg_events: function() {
-      pgAdmin.Browser.Events.on('pgadmin-storage:finish_btn:' + this.field.get('dialog_type'), this.storage_dlg_hander, this);
-      pgAdmin.Browser.Events.on('pgadmin-storage:cancel_btn:' + this.field.get('dialog_type'), this.storage_close_dlg_hander, this);
-    },
-    remove_file_dlg_event_listeners: function() {
-      pgAdmin.Browser.Events.off('pgadmin-storage:finish_btn:' + this.field.get('dialog_type'), this.storage_dlg_hander, this);
-      pgAdmin.Browser.Events.off('pgadmin-storage:cancel_btn:' + this.field.get('dialog_type'), this.storage_close_dlg_hander, this);
-    },
-    clearInvalid: function() {
-      Backform.InputControl.prototype.clearInvalid.apply(this, arguments);
-      this.$el.removeClass('pgadmin-file-has-error');
-      return this;
-    },
-    updateInvalid: function() {
-      Backform.InputControl.prototype.updateInvalid.apply(this, arguments);
-      // Introduce a new class to fix the error icon placement on the control
-      this.$el.addClass('pgadmin-file-has-error');
-    },
-    disable_button: function() {
-      this.$el.find('button.select_item').attr('disabled', 'disabled');
-    },
-    enable_button: function() {
-      this.$el.find('button.select_item').removeAttr('disabled');
-    },
-  });
-
   Backform.DatetimepickerControl =
     Backform.InputControl.extend({
       defaults: {
diff --git a/web/pgadmin/static/js/backgrid.pgadmin.js b/web/pgadmin/static/js/backgrid.pgadmin.js
index b997a0c69..0eadfa606 100644
--- a/web/pgadmin/static/js/backgrid.pgadmin.js
+++ b/web/pgadmin/static/js/backgrid.pgadmin.js
@@ -12,10 +12,10 @@ import Notify from '../../static/js/helpers/Notifier';
 define([
   'sources/gettext', 'underscore', 'jquery', 'backbone', 'backform', 'backgrid', 'alertify',
   'moment', 'bignumber', 'codemirror', 'sources/utils', 'sources/keyboard_shortcuts', 'sources/select2/configure_show_on_scroll',
-  'sources/window', 'sources/url_for', 'bootstrap.datetimepicker', 'backgrid.filter', 'bootstrap.toggle',
+  'sources/window', 'bootstrap.datetimepicker', 'backgrid.filter', 'bootstrap.toggle',
 ], function(
   gettext, _, $, Backbone, Backform, Backgrid, Alertify, moment, BigNumber, CodeMirror,
-  commonUtils, keyboardShortcuts, configure_show_on_scroll, pgWindow, url_for
+  commonUtils, keyboardShortcuts, configure_show_on_scroll, pgWindow
 ) {
   /*
    * Add mechanism in backgrid to render different types of cells in
@@ -2314,125 +2314,5 @@ define([
     },
   });
 
-  Backgrid.Extension.SelectFileCell = Backgrid.Cell.extend({
-    /** @property */
-    className: 'file-cell',
-    defaults: {
-      supported_types: ['*'],
-      dialog_type: 'select_file',
-      dialog_title: gettext('Select file'),
-      type: 'text',
-      value: '',
-      placeholder: gettext('Select file...'),
-      disabled: false,
-      browse_btn_label: gettext('Select file'),
-      check_btn_label: gettext('Validate file'),
-      browse_btn_visible: true,
-      validate_btn_visible: true,
-    },
-
-    initialize: function() {
-      Backgrid.Cell.prototype.initialize.apply(this, arguments);
-      this.data = _.extend(this.defaults, this.column.toJSON());
-    },
-    template: _.template([
-      '<div class="input-group">',
-      '<input type="<%=type%>" id="<%=cId%>" class="form-control" value="<%-value%>" placeholder="<%-placeholder%>" <%=disabled ? "disabled" : ""%> />',
-      '<% if (browse_btn_visible) { %>',
-      '<div class="input-group-append">',
-      '<button class="btn btn-primary-icon fa fa-ellipsis-h select_item" <%=disabled ? "disabled" : ""%>  aria-hidden="true" aria-label=<%=browse_btn_label%> title=<%=browse_btn_label%>></button>',
-      '</div>',
-      '<% } %>',
-      '<% if (validate_btn_visible) { %>',
-      '<div class="input-group-append">',
-      '<button class="btn btn-primary-icon fa fa-clipboard-check validate_item" <%=disabled ? "disabled" : ""%> <%=(value=="" || value==null) ? "disabled" : ""%>  aria-hidden="true" aria-label=<%=check_btn_label%> title=<%=check_btn_label%>></button>',
-      '</div>',
-      '<% } %>',
-      '</div>',
-    ].join('\n')),
-    events: {
-      'change input': 'onChange',
-      'click .select_item': 'onSelect',
-      'click .validate_item': 'onValidate',
-    },
-
-    render: function() {
-      this.$el.empty();
-      this.data = _.extend(this.data, {value: this.model.get(this.column.get('name'))});
-      // Adding unique id
-      this.data['cId'] = _.uniqueId('pgC_');
-      this.$el.append(this.template(this.data));
-
-      this.$input = this.$el.find('input');
-      this.delegateEvents();
-
-      return this;
-    },
-    onChange: function() {
-      var model = this.model,
-        column = this.column,
-        val = this.formatter.toRaw(this.$input.prop('value'), model);
-
-      model.set(column.get('name'), val);
-    },
-    onSelect: function() {
-      let self = this;
-
-      var params = {
-        supported_types: self.data.supported_types,
-        dialog_type: self.data.dialog_type,
-        dialog_title: self.data.dialog_title
-      };
-
-      pgAdmin.FileManager.init();
-      pgAdmin.FileManager.show_dialog(params);
-      // Listen click events of Storage Manager dialog buttons
-      this.listen_file_dlg_events();
-    },
-    storage_dlg_hander: function(value) {
-      var attrArr = this.column.get('name').split('.'),
-        name = attrArr.shift();
-
-      this.remove_file_dlg_event_listeners();
-
-      // Set selected value into the model
-      this.model.set(name, decodeURI(value));
-    },
-    storage_close_dlg_hander: function() {
-      this.remove_file_dlg_event_listeners();
-    },
-    listen_file_dlg_events: function() {
-      pgAdmin.Browser.Events.on('pgadmin-storage:finish_btn:' + this.data.dialog_type, this.storage_dlg_hander, this);
-      pgAdmin.Browser.Events.on('pgadmin-storage:cancel_btn:' + this.data.dialog_type, this.storage_close_dlg_hander, this);
-    },
-    remove_file_dlg_event_listeners: function() {
-      pgAdmin.Browser.Events.off('pgadmin-storage:finish_btn:' + this.data.dialog_type, this.storage_dlg_hander, this);
-      pgAdmin.Browser.Events.off('pgadmin-storage:cancel_btn:' + this.data.dialog_type, this.storage_close_dlg_hander, this);
-    },
-    onValidate: function() {
-      var model = this.model,
-        val = this.formatter.toRaw(this.$input.prop('value'), model);
-
-      if (_.isNull(val) || val.trim() === '') {
-        Notify.alert(gettext('Validate Path'), gettext('Path should not be empty.'));
-      }
-
-      $.ajax({
-        url: url_for('misc.validate_binary_path'),
-        method: 'POST',
-        contentType: 'application/json',
-        data: JSON.stringify({
-          'utility_path': val,
-        }),
-      })
-        .done(function(res) {
-          Notify.alert(gettext('Validate binary path'), gettext(res.data));
-        })
-        .fail(function(xhr, error) {
-          Notify.pgNotifier(error, xhr, gettext('Failed to validate binary path.'));
-        });
-    },
-  });
-
   return Backgrid;
 });
